﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.ReportViewerEnums;
using Syncfusion.JavaScript.Models.ReportViewer;
using System.Data;

using Syncfusion.EJ.ReportViewer;
using ReportViewerTest1;
using System.Collections;

namespace hhSurplus.Reports
{
    public partial class Reports : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                ReportDataSource rptDatasource = new ReportDataSource();
                rptDatasource.Name = "Items";
                rptDatasource.Value = Items.GetData();
                ReportViewer1.DataSources = new List<ReportDataSource>();
                ReportViewer1.DataSources.Add(rptDatasource);
            }
        }

        public class Items
        {
            public int ID { get; set; }
            public string Title { get; set; }
            public string Descrip { get; set; }
            public string Condition { get; set; }
            public int Qty { get; set; }


            public static IList GetData()
            {
                List<Items> list = new List<Items>();
                list.Add(new Items
                {
                    ID = 1,
                    Title = "Table",
                    Descrip = "Small round Table",
                    Condition = "New",
                    Qty = 1
                });
                list.Add(new Items
                {
                    ID = 2,
                    Title = "Chair",
                    Descrip = "High back leather",
                    Condition = "New",
                    Qty = 4
                });
                list.Add(new Items
                {
                    ID = 3,
                    Title = "Desk",
                    Descrip = "Large mahogony business desk",
                    Condition = "New",
                    Qty = 1
                });
                return list;
            }
        }
    }
}